%define upstream_name    YAML-Tiny
%define upstream_version 1.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Read/Write YAML files with as little code as possible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
*YAML::Tiny* is a perl class for reading and writing YAML-style files,
written with as little code as possible, reducing load time and memory
overhead.

Most of the time it is accepted that Perl applications use a lot of memory
and modules. The *::Tiny* family of modules is specifically intended to
provide an ultralight and zero-dependency alternative to many more-thorough
standard modules.

This module is primarily for reading human-written files (like simple
config files) and generating very simple human-readable files. Note that I
said *human-readable* and not *geek-readable*. The sort of files that your
average manager or secretary should be able to look at and make sense of.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/YAML

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.510.0-2.mga3
+ Revision: 375326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.510.0-1.mga3
+ Revision: 255679
- update to 1.51

* Mon Jun 27 2011 jquelin <jquelin> 1.500.0-1.mga2
+ Revision: 114506
- update to 1.50

* Wed Feb 16 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 52271
- update to 1.48

* Tue Jan 18 2011 jquelin <jquelin> 1.460.0-1.mga1
+ Revision: 23093
- cleaning spec file
- imported package perl-YAML-Tiny

